//////////////////////////////////////////
// ToolTip.h
// Copyright (c) 11/14/2022 by ECCSkelton
//////////////////////////////////////////
//ECCSkeltonのヘッダー−これに必要なヘッダーが入っている
#include	"ECCSkelton.h"
//リソースIDのヘッダー
#include	"ResToolTip.h"

/////////////////////////////////////////////////////////////////////
//CMyWndクラスをCDLGクラスから派生させ、メッセージ用の関数を宣言する
/////////////////////////////////////////////////////////////////////
class CMyWnd : public CDLG
{
public:	//以下はコールバック関数マクロと関連している
	//２重起動防止用のMutex用ID名称
	CMyWnd(WCHAR* UName) : CDLG(UName) {}
	//メンバー変数
	CTTIP m_Tip;	//ツールチップクラス変数
	//メニュー項目、ダイアログコントロール関連
	bool OnBtnbc();
	bool OnBtntc();
	bool OnBtnud();
	bool OnBtnft();
	bool OnIdok();
	//ウィンドウメッセージ関連
	CMDTABLE		//OnCommand()関数宣言
	bool OnInit(WPARAM, LPARAM);
	bool OnClose(WPARAM, LPARAM);
	bool OnDestroy(WPARAM, LPARAM);
};

////////////////////////////////////////////////////////////////////////
//派生させたCMyWndクラスのインスタンスとコールバック関数(マクロ）の作成
//主ウィンドウはダイアログと違い、コールバック関数は一つしか作れない
////////////////////////////////////////////////////////////////////////
CMyWnd ToolTip(L"ToolTip");	//ウィンドウクラスインスタンスの生成

BEGIN_CMDTABLE(CMyWnd)	//クラス名がCMyWndではない場合、クラス名、テーブルを適宜マニュアルで修正してください
//BEGIN_MODELESSDLGMSG(ModelessProc, ToolTip)	//コールバック関数名は主ウィンドウの場合ModelessProcにしている
	//メニュー項目、ダイアログコントロール関連
	ON(IDC_BTNBC, OnBtnbc())
	ON(IDC_BTNTC, OnBtntc())
	ON(IDC_BTNUD, OnBtnud())
	ON(IDC_BTNFT, OnBtnft())
	ON(IDOK, OnIdok())
	//ウィンドウメッセージ関連
	//自動的にダイアログ作成時にOnInit()、終了時にOnClose()を呼びます
	//ON_CLOSE(ToolTip)
	//ON_DESTROY(ToolTip)
//END_DLGMSG
END_CMDTABLE
